using UnityEngine;
using UnityEngine.UI;
using System.Collections;

public class UpgradeFireBulletDamage : UpgradeButton {

	protected override int CostForLevel() {
		return (int)(100 * Mathf.Pow(1.1f, (gm.bulletBonusFireDamage)));
	}

	override public void Clicked() {
		if(gm.score < CostForLevel())
			return;

		gm.score -= CostForLevel();

		gm.bulletBonusFireDamage += 5f;
	}

	override protected string UpgradeName() {
		return "Your bullets do "+ ((gm.bulletBonusFireDamage+5f)).ToString("f0") +" bonus fire damage.";
	}

}
